net.corda.contracts.testing

## Class SignedTransactionGenerator

- net.corda.contracts.testing.SignedTransactionGenerator

-     public class SignedTransactionGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignedTransactionGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`

- - ### Constructor Detail

    - #### SignedTransactionGenerator

          public SignedTransactionGenerator()

  - ### Method Detail

    - #### generate

          public SignedTransaction generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                            com.pholser.junit.quickcheck.generator.GenerationStatus status)